%global srcname simpleline

Summary: A Python library for creating text UI
Name: python-%{srcname}
Version: 1.9.0
Release: 7%{?dist}
License: LGPLv3+
Url: https://github.com/rhinstaller/python-%{srcname}
Source0: https://github.com/rhinstaller/python-%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: make gettext intltool
BuildRequires: python3-devel python3-setuptools python3-gobject-base

%description
This is a text UI framework originally which was a part of the Anaconda installer project.
It is designed to be used with line-based machines and tools (e.g. serial console) so 
that every new line is appended to the bottom of the screen. Printed lines are never rewritten!

%package -n python3-%{srcname}
Summary: A Python3 library for creating text UI
Requires: rpm-python3

%description -n python3-%{srcname}
This is a text UI framework originally which was a part of the Anaconda installer project.
It is designed to be used with line-based machines and tools (e.g. serial console) so 
that every new line is appended to the bottom of the screen. Printed lines are never rewritten!

%prep
%autosetup -n %{srcname}-%{version}

%build
%make_build

%install
%make_install
%find_lang python-%{srcname}

%check
make test

%files -n python3-%{srcname} -f python-%{srcname}.lang
%license LICENSE.md
%doc ChangeLog README.md
%{python3_sitelib}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Xin Cheng <denisecheng@tencent.com> - 1.9.0-2
- Update changelog and rebuild.

* Wed Oct 19 2022 Xin Cheng <denisecheng@tencent.com> - 1.9.0-1
- package init.
